package app14;


interface PrefixLogger {
  public void log(String message);
}

public class LocalClassTest2 {

  public PrefixLogger getLogger(final String prefix) {
    class LoggerImpl implements PrefixLogger {
      public void log(String message) {
        System.out.println(prefix + " : " + message);
      }
    }
    return new LoggerImpl();
  }
  
  public static void main(String[] args) {
    LocalClassTest2 test = new LocalClassTest2();
    PrefixLogger logger = test.getLogger("DEBUG");
    logger.log("Local class example");
  }

}
